Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Interface TokenResponseHandler

    public interface TokenResponseHandler

Invokes user code that handles double or invalid submits.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`java.lang.String` | `KEY`

Method Summary
`java.lang.Object` | `invalidToken(groovy.lang.Closure callable)` Specify behavior in the event of an invalid token.
`boolean` | `wasInvalidToken()` Return whether the token was invalid
`boolean` | `wasInvoked()` Return whether the response handle was invoked.

Field Detail

### KEY

    public java.lang.String KEY

Method Detail

### invalidToken

    public java.lang.Object invalidToken(@java.lang.SuppressWarnings("rawtypes") groovy.lang.Closure callable)

  Specify behavior in the event of an invalid token.
  Parameters:
    `callable` - The closure to invoke in the event of an invalid token
  Returns:
    A Grails model or null

### wasInvalidToken

    public boolean wasInvalidToken()

  Return whether the token was invalid
  Returns:
    true if it was

### wasInvoked

    public boolean wasInvoked()

  Return whether the response handle was invoked.
  Returns:
    true if it was

Groovy Documentation